# Generated by Django 3.0.8 on 2020-08-16 00:40

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0006_auto_20200816_0006'),
    ]

    operations = [
        migrations.CreateModel(
            name='CustomerFile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file_name', models.CharField(max_length=1000, unique=True)),
                ('file_extension', models.CharField(max_length=10)),
                ('s3_object_name', models.CharField(blank=True, max_length=1000, null=True, unique=True)),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='api.Customer')),
                ('file_category', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='api.FileCategory')),
                ('s3_bucket', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='api.S3Bucket')),
            ],
        ),
    ]
